Asterisk.org: Developer Documentation (28 Oct 2009)

Wed Oct 28 15:49:46 2009

## Asterisk developer's documentation

# mohclass Struct Reference

Collaboration diagram for mohclass:

[legend]

## Data Fields

char | args [256]
char | dir [256]
char | filearray [MAX_MOHFILES][MAX_MOHFILE_LEN]
unsigned int | flags
int | format
struct mohdata * | members
char | mode [80]
char | name [MAX_MUSICCLASS]
struct mohclass * | next
int | pid
int | pseudofd
int | srcfd
time_t | start
pthread_t | thread
int | total_files

## Detailed Description

Definition at line 126 of file res_musiconhold.c.

## Field Documentation

char args[256]

Definition at line 129 of file res_musiconhold.c.

Referenced by load_moh_classes(), and moh_register().

char dir[256]

Definition at line 128 of file res_musiconhold.c.

char filearray[MAX_MOHFILES][MAX_MOHFILE_LEN]

Definition at line 131 of file res_musiconhold.c.

Referenced by ast_moh_files_next().

unsigned int flags

Definition at line 132 of file res_musiconhold.c.

int format

Definition at line 134 of file res_musiconhold.c.

Referenced by moh_generate().

struct mohdata* members`[read]`

Definition at line 138 of file res_musiconhold.c.

Referenced by moh_release(), and mohalloc().

char mode[80]

Definition at line 130 of file res_musiconhold.c.

Referenced by moh_register().

char name[MAX_MUSICCLASS]

Definition at line 127 of file res_musiconhold.c.

Referenced by get_mohbyname(), and moh_register().

struct mohclass* next`[read]`

Definition at line 143 of file res_musiconhold.c.

Referenced by ast_moh_destroy(), get_mohbyname(), init_classes(), and moh_register().

int pid

Definition at line 135 of file res_musiconhold.c.

Referenced by ast_moh_destroy(), and moh_generate().

int pseudofd

Definition at line 142 of file res_musiconhold.c.

Referenced by moh_register().

int srcfd

Definition at line 140 of file res_musiconhold.c.

Referenced by ast_moh_destroy(), and moh_register().

time_t start

Definition at line 136 of file res_musiconhold.c.

Referenced by moh_register().

pthread_t thread

Definition at line 137 of file res_musiconhold.c.

Referenced by moh_register().

int total_files

Definition at line 133 of file res_musiconhold.c.

Referenced by ast_moh_files_next(), init_classes(), and local_ast_moh_start().

The documentation for this struct was generated from the following file:

- res_musiconhold.c